cURL
curl --request POST \ --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/dataset/{dataset}/files \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "prefix": "<string>", "continuationToken": "<string>", "onlyFetchFolders": true } '
{ "success": true, "files": [ { "name": "<string>", "path": "<string>", "type": "folder", "addedDate": "2019-07-21T17:32:28Z", "size": 123, "ETag": "<string>" } ], "error": "<string>", "continuationToken": "<string>" }
List all files and directories in specified prefix.
Documentation IndexFetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
Use this file to discover all available pages before exploring further.
Organization ID
Dataset name
S3 prefix
Only one S3 page (1000 items typically) is returned. Pass in the continuationToken on the next request to receive the next page.
If set, then no files will be returned
OK
Whether the operation succeeded
Show child attributes
Optional error description (set if 'success' was false)
Was this page helpful?